## GOFontSel

GOFontSel

## Synopsis

    #define             GO_TYPE_FONT_SEL
    #define             GO_FONT_SEL                         (obj)
    #define             GO_IS_FONT_SEL                      (obj)
                        GOFontSel;
    GType               go_font_sel_get_type                (void);
    GtkWidget*          go_font_sel_new                     (void);
    void                go_font_sel_set_font                (GOFontSel *fs,
                                                             GOFont const *font);
    GOFontconst *       go_font_sel_get_font                (GOFontSel const *fs);
    void                go_font_sel_editable_enters         (GOFontSel *fs,
                                                             GtkWindow *dialog);
    void                go_font_sel_set_sample_text         (GOFontSel *fs,
                                                             char const *text);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GOFontSel

## Implemented Interfaces

GOFontSel implements AtkImplementorIface and GtkBuildable.

## Signals

      "font-changed"                                   : Run Last

## Description

## Details

### GO_TYPE_FONT_SEL

    #define GO_TYPE_FONT_SEL	(go_font_sel_get_type ())

### GO_FONT_SEL()

    #define GO_FONT_SEL(obj)	(G_TYPE_CHECK_INSTANCE_CAST((obj), GO_TYPE_FONT_SEL, GOFontSel))

`obj` : |

### GO_IS_FONT_SEL()

    #define GO_IS_FONT_SEL(obj)	(G_TYPE_CHECK_INSTANCE_TYPE((obj), GO_TYPE_FONT_SEL))

`obj` : |

### GOFontSel

    typedef struct _GOFontSel GOFontSel;

### go_font_sel_get_type ()

    GType               go_font_sel_get_type                (void);

Returns : |

### go_font_sel_new ()

    GtkWidget*          go_font_sel_new                     (void);

Returns : |

### go_font_sel_set_font ()

    void                go_font_sel_set_font                (GOFontSel *fs,
                                                             GOFont const *font);

`fs` : |
`font` : |

### go_font_sel_get_font ()

    GOFontconst *       go_font_sel_get_font                (GOFontSel const *fs);

`fs` : |
Returns : |

### go_font_sel_editable_enters ()

    void                go_font_sel_editable_enters         (GOFontSel *fs,
                                                             GtkWindow *dialog);

`fs` : |
`dialog` : |

### go_font_sel_set_sample_text ()

    void                go_font_sel_set_sample_text         (GOFontSel *fs,
                                                             char const *text);

`fs` : |
`text` : |

## Signal Details

### The `"font-changed"` signal

    void                user_function                      (GOFontSel *gofontsel,
                                                            gpointer   arg1,
                                                            gpointer   user_data)      : Run Last

`gofontsel` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.